/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct PostLogRequest {
    /// The error level, ERROR or DEBUG
    #[serde(rename = "level")]
    pub level: String,
    /// Message to send to the server logs
    #[serde(rename = "message")]
    pub message: String,
}

impl PostLogRequest {
    pub fn new(level: String, message: String) -> PostLogRequest {
        PostLogRequest { level, message }
    }
}
